module DoorkeeperHub
  class OmniauthCallbacksController < ApplicationController
    skip_before_action :authenticate_doorkeeper!,
                       :verify_authenticity_token, only: :saml

    def saml

      warden = request.env['warden']

      # warden.authenticated?(:user) && warden.logout(:user)
      user = warden.authenticate(:doorkeeper)
      warden.set_user(user)

      redirect_to after_sign_in_path
    end
  end
end
