module DoorkeeperHub
  class Configurator
    attr_accessor :service_token
    attr_accessor :scope_model
    attr_accessor :doorkeeper_token_name
    attr_accessor :client_mode
    attr_accessor :issuer
    attr_accessor :idp_fingerprint

    def initialize
      self.service_token = ENV["SERVICE_TOKEN"]
      self.scope_model = 'Company'
      self.doorkeeper_token_name = :doorkeeper_token
      self.client_mode = false
      self.issuer = 'doorkeeper-client'
      self.idp_fingerprint = "3A:56:BE:36:48:69:91:CD:60:42:0D:15:5B:21:85:8E:E3:F5:7D:74"
    end

    def callback_url
      "#{ENV['SERVICE_URL']}/auth/saml/callback"
    end
  end
end
